summaryrefslogtreecommitdiff
path: root/dev-python/contextlib2
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/contextlib2
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/contextlib2')
-rw-r--r--dev-python/contextlib2/Manifest2
-rw-r--r--dev-python/contextlib2/contextlib2-0.6.0.ebuild39
-rw-r--r--dev-python/contextlib2/contextlib2-0.6.0_p1.ebuild43
-rw-r--r--dev-python/contextlib2/metadata.xml13
4 files changed, 97 insertions, 0 deletions
diff --git a/dev-python/contextlib2/Manifest b/dev-python/contextlib2/Manifest
new file mode 100644
index 000000000000..c75571aab5ab
--- /dev/null
+++ b/dev-python/contextlib2/Manifest
@@ -0,0 +1,2 @@
+DIST contextlib2-0.6.0.post1.tar.gz 29670 BLAKE2B 927cbc674c2cb568e71bd110773bea6f848233928bb910e0db7114812b3359b9395e43c01be1645d44f3202f94c62bc21c4db883a155c64feb636a61865dd7d8 SHA512 bd3b458b365bc1d556476f6368bc523fde07e85afdad74037aa98d7a498008103a789f6b481b606700da92606ee6477fc5a817f1596e93a6e3c548ed0d4a5bf8
+DIST contextlib2-0.6.0.tar.gz 29607 BLAKE2B 674d0ed2cb71837ec8bed46b44790c31601347e315abb3ab666aac3a7754f07602bbc4f1591a8c905e02949ed9178fb6230f600ca35d244b83353286901510e2 SHA512 01901ac226c7fca40add00e95cedb2535a802e0114a53ae1315c6dfee20744dbafa7d9619986ad76345ad9b9aa3e364ac01d23f51b5eb70dd2febd5af1f1fc56
diff --git a/dev-python/contextlib2/contextlib2-0.6.0.ebuild b/dev-python/contextlib2/contextlib2-0.6.0.ebuild
new file mode 100644
index 000000000000..fa8613af4c2f
--- /dev/null
+++ b/dev-python/contextlib2/contextlib2-0.6.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{6,7,8}} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Backports and enhancements for the contextlib module"
+HOMEPAGE="https://pypi.org/project/contextlib2/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="PSF-2.4"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 s390 sparc x86"
+IUSE="test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( $(python_gen_cond_dep '
+ dev-python/unittest2[${PYTHON_USEDEP}]
+ ' python{2_7,3_{5,3,6,7}} pypy{,3}
+ )
+ )
+"
+
+RESTRICT="!test? ( test )"
+
+python_prepare_all() {
+ sed -i -e 's:unittest.main():unittest.main(verbosity=2):' \
+ test_contextlib2.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ "${PYTHON}" test_contextlib2.py || die "Tests fail for ${EPYTHON}"
+}
diff --git a/dev-python/contextlib2/contextlib2-0.6.0_p1.ebuild b/dev-python/contextlib2/contextlib2-0.6.0_p1.ebuild
new file mode 100644
index 000000000000..341b0e956fa5
--- /dev/null
+++ b/dev-python/contextlib2/contextlib2-0.6.0_p1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{6,7,8,9}} pypy3 )
+
+inherit distutils-r1
+
+MY_P="${PN}-${PV/_p/.post}"
+DESCRIPTION="Backports and enhancements for the contextlib module"
+HOMEPAGE="https://pypi.org/project/contextlib2/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+
+LICENSE="PSF-2.4"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="test"
+
+DEPEND="
+ test? ( $(python_gen_cond_dep '
+ dev-python/unittest2[${PYTHON_USEDEP}]
+ ' python2_7 pypy3
+ )
+ )
+"
+
+S="${WORKDIR}"/${MY_P}
+
+RESTRICT="!test? ( test )"
+
+DOCS=( NEWS.rst README.rst )
+
+python_prepare_all() {
+ sed -i -e 's:unittest.main():unittest.main(verbosity=2):' \
+ test_contextlib2.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ "${PYTHON}" test_contextlib2.py || die "Tests fail for ${EPYTHON}"
+}
diff --git a/dev-python/contextlib2/metadata.xml b/dev-python/contextlib2/metadata.xml
new file mode 100644
index 000000000000..c7f90b8014e2
--- /dev/null
+++ b/dev-python/contextlib2/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="pypi">contextlib2</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>